Package com.sas.services.information.metadata

# Interface ProxyInterface

All Superinterfaces:
  `ConnectionInterface`, `MetadataInterface`, `PublicObjectInterface`, `Remote`, `TCPIPConnectionInterface`

All Known Implementing Classes:
  `OMRProxy`

public interface ProxyInterface extends TCPIPConnectionInterface
ProxyInterface

- ## Field Summary

  ### Fields inherited from interface com.sas.services.information.metadata.MetadataInterface

  `METADATA_STATE_DELETED, METADATA_STATE_DESTROYED, METADATA_STATE_NEW, METADATA_STATE_NORMAL, PERMISSION_READMETADATA, PERMISSION_WRITEMETADATA`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getPath()`
  Returns the path for this Proxy
  `String`
  `getScheme()`
  Returns the scheme for this Proxy
  `String`
  `getURI()`
  Returns the URI for this proxy
  `void`
  `setPath(String path)`
  Sets the path for this Proxy
  `void`
  `setScheme(String scheme)`
  Sets the scheme for this Proxy
  `void`
  `setURI(String uri)`
  Sets the URI for this Proxy

  ### Methods inherited from interface com.sas.services.information.metadata.ConnectionInterface

  `addProvider, getApplicationProtocol, getAuthenticationType, getCommunicationProtocol, getDomain, getProperties, getProviders, getSource, removeProvider, setApplicationProtocol, setAuthenticationType, setCommunicationProtocol, setDomain, setProperty, setProviders, setSource`

  ### Methods inherited from interface com.sas.services.information.metadata.MetadataInterface

  `add, addAccessControl, addAttribute, addAttributes, addDocument, addExtension, addGroup, addImplementor, addKeyword, addNoteTextStore, addNoteTextStore, addObjectProperty, addObjectProperty, addPermissions, addPrompt, addPropertySet, addRemark, addResponsibleParty, addTransactionListener, addUsedByPrototype, checkin, checkout, commit, copyTo, countAssociatedObjects, delete, deleteAttribute, deleteAttributes, destroy, getAccessControls, getAttribute, getAttributes, getAuthorizationUtil, getCreateDate, getCreatedBy, getDescription, getDocuments, getEntityKey, getEntityURL, getExtensions, getGroups, getGUID, getIdentities, getImplementors, getKeywords, getLockedBy, getModifiedBy, getModifyDate, getNoteTextStore, getNoteTextStores, getNoteTextStoresByRole, getObjectProperties, getParent, getParentPath, getParents, getPath, getPaths, getPermission, getPermissions, getPermissions, getPreviousVersionNames, getPrimaryPropertyGroup, getPrompt, getPrompts, getPropertyBag, getPropertySets, getRemarksList, getReposId, getRepository, getRepositoryEntity, getRepositoryName, getReposKey, getResponsibleParties, getState, getTrackingId, getType, getUsageVersion, getUsedByPrototypes, getUsingPrototype, getVersion, isAuthorized, isCompatible, isDeleted, isDestroyed, isObjectAlive, isReadCompatible, mapNameToFilesystem, mapUrlToFilesystem, moveTo, newServiceObject, refresh, removeAccessControl, removeDocument, removeExtension, removeGroup, removeImplementor, removeKeyword, removeNoteTextStore, removeObjectProperty, removePermissions, removePrompt, removePropertySet, removeResponsibleParty, removeResponsiblePartyByIdentity, removeUsedByPrototype, rollback, setAttribute, setAttributes, setDeleted, setDescription, setDocuments, setExtensions, setGroups, setGUID, setKeywords, setName, setNoteTextStores, setObjectProperties, setPermission, setPrimaryPropertyGroup, setPrompt, setPrompts, setRemarksList, setRepository, setUsingPrototype, startTransaction, toByteArray, transactionEvent, uncheckout, update, updateFromBag, version`

  ### Methods inherited from interface com.sas.services.information.publicobject.PublicObjectInterface

  `addProcessorInterface, getContainer, getIdentifier, getName, getObjectURI, getPathUrl, getProcessorInterface, getTypeDescriptor`

  ### Methods inherited from interface com.sas.services.information.metadata.TCPIPConnectionInterface

  `getHost, getPort, getService, setHost, setPort, setService`

- ## Method Details

  - ### getScheme

    String getScheme() throws RemoteException
    Returns the scheme for this Proxy
    Returns:
      String representing the scheme for this proxy
    Throws:
      `RemoteException`

  - ### setScheme

    void setScheme(String scheme) throws RemoteException
    Sets the scheme for this Proxy
    Parameters:
      `scheme` - Scheme to set for this Proxy
    Throws:
      `RemoteException`

  - ### getPath

    String getPath() throws ServiceException, RemoteException
    Returns the path for this Proxy
    Returns:
      String representing the path for this proxy
    Throws:
      `ServiceException`
      `RemoteException`

  - ### setPath

    void setPath(String path) throws RemoteException, ServiceException
    Sets the path for this Proxy
    Parameters:
      `path` - Path to set for this proxy
    Throws:
      `ServiceException`
      `RemoteException`

  - ### getURI

    String getURI() throws ServiceException, RemoteException
    Returns the URI for this proxy
    Returns:
      String representing the URI for this proxy
    Throws:
      `RemoteException`
      `ServiceException`

  - ### setURI

    void setURI(String uri) throws ServiceException, RemoteException
    Sets the URI for this Proxy
    Parameters:
      `uri` - The uri to set for this proxy
    Throws:
      `ServiceException`
      `RemoteException`